FreeMat

- Main Page
- Related Pages

vtkLabelRenderStrategy

Section: Visualization Toolkit Rendering Classes

# Usage

These methods should only be called within a mapper.

To create an instance of class vtkLabelRenderStrategy, simply invoke its constructor as follows

      obj = vtkLabelRenderStrategy

# Methods

The class vtkLabelRenderStrategy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLabelRenderStrategy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkLabelRenderStrategy = obj.NewInstance ()`
- `vtkLabelRenderStrategy = obj.SafeDownCast (vtkObject o)`
- `bool = obj.SupportsRotation ()` - Whether the text rendering strategy supports bounded size. The superclass returns true. Subclasses should override this to return the appropriate value. Subclasses that return true from this method should implement the version of RenderLabel() that takes a maximum size (see RenderLabel()).
- `bool = obj.SupportsBoundedSize ()` - Set the renderer associated with this strategy.
- `obj.SetRenderer (vtkRenderer ren)` - Set the renderer associated with this strategy.
- `vtkRenderer = obj.GetRenderer ()` - Set the renderer associated with this strategy.
- `obj.SetDefaultTextProperty (vtkTextProperty tprop)` - Set the default text property for the strategy.
- `vtkTextProperty = obj.GetDefaultTextProperty ()` - Set the default text property for the strategy.
- `obj.StartFrame ()` - End a rendering frame.
- `obj.EndFrame ()` - Release any graphics resources that are being consumed by this strategy. The parameter window could be used to determine which graphic resources to release.
- `obj.ReleaseGraphicsResources (vtkWindow )`